Page MenuHomePhabricator

MonoBook skin is appearing on other devices
Closed, DuplicatePublic

Description

I was directed here
https://en.wikipedia.org/wiki/Wikipedia:Village_pump_(technical)#Change_coming_to_MonoBook_skin_for_mobile_users
after emailing about the problem this morning. From that page I got to fabricator.

"This change only affects people who use the MonoBook skin on their mobile devices (and potentially other smaller screens like tablets)."

Um no. It is taking over all English wikipedia articles on my device, which is a 13" Macbook Pro:

The name of your device : MacBook Pro

The operating system (OS) of the device : MacOS High Sierra 10.13.4

The screen resolution of the device : 13.3-inch (2560 x 1600)

(I will note that 922 X 576 gets reported by https://www.whatismyscreenresolution.com/ which is quite wrong)

The browser you were using at the time, and if possible, its version : Firefox
59.0.2

I sent screenshots with my original email.


Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 1 2018, 8:37 PM

(I will note that 922 X 576 gets reported by https://www.whatismyscreenresolution.com/ which is quite wrong)

Does it still report that, when you take your browser out of 150% zoom mode?

@Peachey88

I think I changed that by following these directions:

"if you want to set the text size/pixel density in firefox different from that of your system's settings like it was handled in prior versions, enter about:config into the firefox address bar (confirm the info message in case it shows up) & search for the preference named layout.css.devPixelsPerPx. double-click it and change its value to 1.0 (or any other zoom factor that fits your purpose; -1.0 is the default value and will adhere to the system settings). "

https://www.whatismyscreenresolution.com then reports 2048 X 1280
but the text in windows is now (for me at least) impossibly small to read.

Thanks very much, Mary

Vvjjkkii renamed this task from MonoBook skin is appearing on other devices to htbaaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from htbaaaaaaa to MonoBook skin is appearing on other devices.Jul 2 2018, 1:28 AM
CommunityTechBot closed this task as a duplicate.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.